Bug 79657 - Conflict Between XMMS and Browser's Flash Plugin
Conflict Between XMMS and Browser's Flash Plugin
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: xmms (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-14 12:24 EST by Johnny Proton
Modified: 2014-03-16 22:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-25 00:31:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Proton 2002-12-14 12:24:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
I spend a lot of time surfing the Internet while listening to MP3/OGG files. 
However, a conflict between the Flash plugin and XMMS freezes by Browser.

I did install the Flash plugin from Macromedia so I understand this isn't
totally a Redhat issue.  I don't know if this problem occurs when using the
[insanely overpriced] version of RH 8 that has the multimedia plugins.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Play MP3 or OGG audio through XMMS.
2. Surf the web until you get to a page with an embedded flash animation.
    

Actual Results:  All open windows of Galeon or Mozilla will freeze, even if
there is no flash in that window.  Pausing the XMMS player for about 5 seconds
seems to fix the problem and gives the flash a chance to launch.


Expected Results:  The flash should initialize withouth needing to pause the
XMMS player.

Additional info:

If this isn't the correct forum to report this bug, please let me know where I
should go.  This is really an important issue because internet advertising is
more and more often a flash animation, which means my system is always freezing
up when I'm surfing around.

This issue also occurred when I was using Redhat 7.3 systems.  I'm trying to use
Linux as my main workstation and also to convince my tech-savvy MSCE friends to
use it but this kind of bug gives people a bad first impression.

Thanks for your time... I know this was a long bug report for such a simple issue.

-a-
Comment 1 Bill Nottingham 2002-12-16 19:31:24 EST
This most likely means that xmms is holding the sound device open. You can try
using a different output plugin in xmms (such as esd or arts)
Comment 2 Johnny Proton 2002-12-17 23:25:14 EST
Sorry, this didn't solve the problem.  I tested XMMS using different output
plugins and it still wouldn't work.

- aRts doesn't even play at all
- eSound conflicts with flash
- OSS conflicts with flash

If you guys are aware of the community page regarding the flash plugin, I'll
post this bug with them.
Comment 3 Bill Nottingham 2002-12-17 23:43:31 EST
If you run netscape under esddsp (and use esd for xmms) does that work better?
Comment 4 Johnny Proton 2002-12-17 23:51:13 EST
I don't know how to do that.  What is "esddsp"?
Comment 5 Bill Nottingham 2002-12-18 00:04:42 EST
esddsp is essentially an LD_PRELOAD that redirects sound output to esound.

Usage is 'esddsp <program you want to run>'
Comment 6 Johnny Proton 2002-12-24 08:44:34 EST
Yes, that did work!  Thanks!

As a fairly new desktop Linux user, this problem really confused the hell out of
me, and I've been using Linux as a web server for years.  Can you guys make sure
this is addressed in your newwest release?

Thanks again.  I appreciate it.
Comment 7 Bill Nottingham 2002-12-24 16:09:54 EST
Well, we don't ship netscape or the flash plugin in our current releases.
Including 8.0. So, it would be hard to modify them as such. The various sound
system conflicts do need fixing, but it's not something we're going to tackle in
the short immediate future.
Comment 8 Johnny Proton 2002-12-24 22:52:48 EST
Well, the problem occurs in the default *shipping* version of Galeon and Mozilla
which both exist in the RH 8.0 distribution.

Out of curiosity, why not ship the flash plugin?  It's open and very popular. Is
it a Macromedia license thing?
Comment 9 Bill Nottingham 2002-12-25 00:31:16 EST
It's not open source, for one thing; we've been slowly weeding out those parts
of the distro. It's also had a history of security problems.

Unfortunately, I really don't see how this is simply fixable in the current
framework; there's no way for netscape or mozilla to know a) what sound server
the desktop they're running under is using b) what other apps are running (such
as xmms) c) what sound server *those* apps might be using. Moreover, it's
essentially an issue in the flash plugin if it freezes the web browser; it
should fail gracefully if it can't open the sound device.

Note You need to log in before you can comment on or make changes to this bug.